Class | Amalgalite::ProfileSampler
In: | lib/amalgalite/profile_tap.rb lib/amalgalite/profile_tap.rb
Parent: | Object

A ProfileSampler is a sampler of profile times. It aggregates up profile events that happen for the same source. It is based upon the RFuzz::Sampler class from the rfuzz gem

### Methods

mean mean new new reset! reset! sample sample stddev stddev to_a to_a to_h to_h to_s to_s

### Public Class methods

new( name )

create a new sampler with the given name

new( name )

create a new sampler with the given name

### Public Instance methods

mean()

return the mean of the data

mean()

return the mean of the data

reset!()

reset the internal state so it may be used again

reset!()

reset the internal state so it may be used again

sample( value )

add a sample to the calculations

sample( value )

add a sample to the calculations

stddev()

returns the standard deviation of the data

stddev()

returns the standard deviation of the data

to_a()

return all the values as an array

to_a()

return all the values as an array

to_h()

return all the values as a hash

to_h()

return all the values as a hash

to_s()

return a string containing the sampler summary

to_s()

return a string containing the sampler summary

[Validate]